Debian Bug report logs - #154098
ITA: gnat -- The GNU Ada 95 compiler

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Samuel Tardieu" <sam@debian.org>

Date: Wed, 24 Jul 2002 07:33:54 UTC

Severity: normal

Tags: fixed

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Samuel Tardieu" <sam@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Samuel Tardieu" <sam@debian.org>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: O: gnat -- The GNU Ada 95 compiler
Date: Wed, 24 Jul 2002 09:32:35 +0200
Package: wnpp
Version: N/A; reported 2002-07-24
Severity: normal

I intend to orphan the gnat package.

The package description is:
 GNAT is a full Ada 95 compiler, which implements the whole Ada language.
 GNAT is actively maintained by Ada Core Technology (http://www.gnat.com/).
 This package contains the compiler, as well as the needed unstripped
 libraries so that debugging is possible. If you install this package, you
 do not need to install the `libgnat-3.14p-1' package as the latter
 contains only a version of the libraries unsuitable for debugging.

-- System Information
Debian Release: 3.0
Architecture: sparc
Kernel: Linux marvin 2.4.18 #2 Thu Apr 11 14:37:17 EDT 2002 sparc64
Locale: LANG=en_US.ISO_8859-1, LC_CTYPE=en_US.ISO_8859-1

-- no debconf information




Changed Bug title. Request was from Jon Ward <aardvark@fnord.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jon Ward <aardvark@fnord.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James A Morrison <ja2morri@student.math.uwaterloo.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #14 received at 154098@bugs.debian.org (full text, mbox):

From: James A Morrison <ja2morri@student.math.uwaterloo.ca>
To: 154098@bugs.debian.org
Cc: aardvark@fnord.org.uk
Subject: Should this be even kept in debian
Date: Fri, 14 Feb 2003 21:29:02 -0500 (EST)
 Is there even a reason to keep this package in debian?  Gnat is now
integrated with gcc and maintained in debian by the Debian GCC team.

James A. Morrison



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jérôme Marant <jerome.marant@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 154098@bugs.debian.org (full text, mbox):

From: Jérôme Marant <jerome.marant@free.fr>
To: James A Morrison <ja2morri@student.math.uwaterloo.ca>
Cc: 154098@bugs.debian.org
Subject: Re: Should this be even kept in debian
Date: Wed, 19 Feb 2003 09:48:11 +0100 (CET)
> Is there even a reason to keep this package in debian?  Gnat is now
> integrated with gcc and maintained in debian by the Debian GCC team.

Hi,

The GNAT in GCC is far from being as stable as the ACT releases.
It will even enter the beta state at ACT soon, so the GCC version
is not even up-to-date.

The best version is currently 3.15p, which is not yet in Debian
(I was thinking of preparing debs).

Furthermore, and not the least, the GCC Gnat needs the ACT Gnat
to be bootstrapped, so we're not likely to remove it.

Cheers,

--
Jérôme Marant <jerome@marant.org>
              <jerome.marant@free.fr>

http://marant.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 154098@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Jon Ward <aardvark@fnord.org.uk>
Cc: 154098@bugs.debian.org
Subject: Re: your mail
Date: Sun, 18 May 2003 13:36:36 +0100
On Fri, Nov 22, 2002 at 02:21:17PM +0000, Jon Ward wrote:
> retitle 154098 ITA: gnat -- The GNU Ada 95 compiler
> retitle 154099 ITA: gnat-doc -- Documentation for the GNU Ada 95 compiler

Hi,

How's the packaging going? It's been six months ... at least an initial
upload to change the maintainer name would be useful.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic.brenta@insalien.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #29 received at 154098@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic.brenta@insalien.org>
To: 154098@bugs.debian.org, Jon Ward <aardvark@fnord.org.uk>
Subject: Re: ITA: gnat - The GNU Ada 95 Compiler
Date: 16 Sep 2003 03:25:42 +0200
Hi Jon,

It's been 10 months since you expressed your intent to adopt the
packages gnat and gnat-doc.  I'd like to know what your status is.  I
have packaged gnat and gnat-doc 3.15p but I don't know if I should
adopt these packages officially.  Please advise.

FYI, my packages for GNAT and several other Ada-related things are
available from:

deb http://users.skynet.be/ludovic.brenta testing main
deb-src http://users.skynet.be/ludovic.brenta testing main

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic.brenta@insalien.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #34 received at 154098@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic.brenta@insalien.org>
To: 154098@bugs.debian.org
Cc: Ludovic Brenta <ludovic.brenta@insalien.org>
Subject: ITA: gnat -- The GNU Ada 95 compiler
Date: 25 Sep 2003 15:26:47 +0200
For lack of response from Jon, I now intend to adopt the package and
will send an RFS to debian-mentors.

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#154098; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic.brenta@insalien.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #39 received at 154098@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic.brenta@insalien.org>
To: Brian May <bam@debian.org>
Cc: Ludovic Brenta <ludovic.brenta@insalien.org>, 154098@bugs.debian.org
Subject: Re: Bug#211120: ITP: gnat-gdb -- Ada-aware version of GDB
Date: 30 Oct 2003 17:13:40 +0100
Brian May <bam@debian.org> writes:
> creating auto-config.h
> Merged x-linux.
> Merged t-linux and i386/t-crtstuff.
> Created `objc/Makefile'.
> cd ada && touch treeprs.ads a-einfo.h a-sinfo.h nmake.adb nmake.ads
> touch config-stamp
> /usr/bin/make CFLAGS='-O2' GNATLIBCFLAGS='-g -O2 -gnatn -DNEED_CONVERT_ADDRESSES' LANGUAGES='c ada'
> make[1]: Entering directory `/tmp/buildd/gnat-3.15p'
> cd . && autoheader
> /bin/sh: line 1: autoheader: command not found
> make[1]: *** [cstamp-h.in] Error 127
> make[1]: Leaving directory `/tmp/buildd/gnat-3.15p'
> make: *** [stage1-stamp] Error 2
> pbuilder: Failed autobuilding of package
>  -> Aborting with an error
>  -> unmounting proc filesystem
>  -> unmounting dev/pts filesystem
>  -> cleaning the build env
>     -> removing directory /var/cache/pbuilder/build//22152 and its subdirectories
> 
> still needs dependancy on autoconf.

Brian, thanks for the problem report.  Here is the resolution.

The package should not depend on autoconf, because debian/rules does
not change configure.in.  The trick is to touch cstamp-h.in, which
prevents autoheader from running.  I have uploaded an update to my
package (3.15p-3) here:

deb http://www.ada-france.org/debian ada main
deb-src http://www.ada-france.org/debian ada main

(note that I no longer maintain the repository I mentioned earlier,
because it's out of disk space.  Please use the one at
Ada-France.org.)

-- 
Ludovic Brenta.




Tags added: fixed Request was from doko@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Samuel Tardieu" <sam@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 154098-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 211120-done@bugs.debian.org, 218307-done@bugs.debian.org, 220216-done@bugs.debian.org, 221111-done@bugs.debian.org, 221821-done@bugs.debian.org, 154095-done@bugs.debian.org, 154098-done@bugs.debian.org, 158473-done@bugs.debian.org, 162064-done@bugs.debian.org, 202174-done@bugs.debian.org, 217101-done@bugs.debian.org
Subject: Closing WNPP bugs that were only tagged as fixed
Date: Tue, 6 Jan 2004 19:54:13 +0100


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:57:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.